Subject: Re: bug#47408: Etags support for Mercury -- fix explicit tags for existentially-quantified procedures

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Jun 2021 08:56:55 +0300

> Cc: [email-masked], [email-masked]
> From: fabrice nicol <[email-masked]>
> Date: Thu, 10 Jun 2021 22:39:29 +0200
> 
> Prior code did not abide by pfnote input constraints, but it "just 
> worked" in all cases, at least for 'etags' invocation.

I'm afraid that was by sheer luck.  The call to make_tag was incorrect.

> I will not be able to spare enough free time to implement explicit tag 
> parsing for existential predicates before a couple of weeks, so in the 
> meantime, it would be safer to revert to original code and just 
> flag/blame it as 'to-be-fixed for ctags by FN.'

Will you work on this after that time, or should I not rely on it and
do it myself?  Two weeks is not too long a time to wait for a
solution.

> As I explained in prior mail, this is anyway a use case in which 'ctags' 
> is not useful at all, whilst 'etags' is.

As Francesco and myself explained, that would make Mercury the only
such language, which I think is undesirable (and unnecessary).